// dbConn.JS
// Cole Cassidy - 2022
// Handles all database communication.

// IMPORTS
const assert = require('assert');
const res = require('express/lib/response');

const { MongoClient, ObjectId } = require('mongodb');

// MongoDB URI
// Included here for example purposes. Should be stored as environment variable.
const uri = "mongodb+srv://iotabot:jameshalliday@cluster0.m5mj8.mongodb.net/myFirstDatabase?retryWrites=true&w=majority"

let iotaDB;

// Standard Database access functions
// Handle all database requests using the above query format.
// async friendly
// not structurally necessary, but makes development significantly easier.

// Creates a pooled connection for db calls.
// Includes callback option for functions to be executed after successful connection.
function connect(callback){
    MongoClient.connect(uri, (err, db) => {
        assert.equal(null, err);
        iotaDB = db.db("iota_testing");
        console.log("Connected :D");
        callback();
    });
}

// returns the connected database as an object. Allows pooling requests over one connection.
function get(){
    return iotaDB;
}

// closes the shared pool. Once executed no other connections are possible without reopening.
function close(){
    iotaDB.close();
}

// EXPORTS
module.exports = {
    connect,
    get,
    close
}