// IOTA.JS
// Cole Cassidy - 2022
// Application config/supporting functions.

// ERR Obj
// Predefined error messages to be used elsewhere in the codebase.
var ERR = {};
ERR.JSONNull        = {Error: true, msg: "Null JSON returned from DB"};
ERR.RequestInvalid  = {Error: true, msg:"Inproper Request"};
ERR.Unknown         = {Error: true, msg:"Unknown Error. Server may still be initializing."};
ERR.UserExists      = {Error: true, msg:"User Already Exists"};
ERR.UserDNE         = {Error: true, msg:"User Does not exist"};
ERR.None            = {Error: false, msg:"Operation Succesful."};
ERR.Unauthorized    = {Error: true, msg:"User is not authorized for this resource"};

// Auth config Obj
var AUTHCONFIG = {};
AUTHCONFIG.SaltRounds   = 10;
AUTHCONFIG.TokenKey     = "thisisatestkey";

// Exports
// Provides the following interfaces.
module.exports = {
    ERR,
    AUTHCONFIG
}